VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
BandistoProcessor Class Reference

`#include <mdaBandistoProcessor.h>`

Inheritance diagram for BandistoProcessor:

## Public Member Functions
| BandistoProcessor ()
int32 | getVst2UniqueId () const SMTG_OVERRIDE
tresult | initialize (FUnknown *context) SMTG_OVERRIDE
void | doProcessing (ProcessData &data) SMTG_OVERRIDE

## Static Public Member Functions
static FUnknown * | createInstance (void *)
static | DECLARE_UID (uid, 0x79F1CDBB, 0x1F004396, 0x947E35BA, 0x22B4FA6D)

## Protected Member Functions
void | recalculate () SMTG_OVERRIDE

## Protected Attributes
float | gain1
float | driv1
float | trim1
float | gain2
float | driv2
float | trim2
float | gain3
float | driv3
float | trim3
float | fi1
float | fb1
float | fo1
float | fi2
float | fb2
float | fo2
float | fb3
float | slev
int | valve

## Constructor & Destructor Documentation

## ◆ BandistoProcessor()

BandistoProcessor | ( |  | ) |

## Member Function Documentation

## ◆ getVst2UniqueId()

int32 getVst2UniqueId | ( |  | ) | const
| inline virtual

Implements Processor.

## ◆ initialize()

tresult initialize | ( | FUnknown * | context | ) |
| virtual

Implements IPluginBase.

## ◆ doProcessing()

void doProcessing | ( | ProcessData & | data | ) |
| virtual

Implements Processor.

## ◆ createInstance()

static FUnknown * createInstance | ( | void * |  | ) |
| inline static

## ◆ DECLARE_UID()

static DECLARE_UID | ( | uid | ,
|  | 0x79F1CDBB | ,
|  | 0x1F004396 | ,
|  | 0x947E35BA | ,
|  | 0x22B4FA6D | )
| inline static

## ◆ recalculate()

void recalculate | ( |  | ) |
| protected virtual

Reimplemented from Processor.

## Member Data Documentation

## ◆ gain1

float gain1
| protected

## ◆ driv1

float driv1
| protected

## ◆ trim1

float trim1
| protected

## ◆ gain2

float gain2
| protected

## ◆ driv2

float driv2
| protected

## ◆ trim2

float trim2
| protected

## ◆ gain3

float gain3
| protected

## ◆ driv3

float driv3
| protected

## ◆ trim3

float trim3
| protected

## ◆ fi1

float fi1
| protected

## ◆ fb1

float fb1
| protected

## ◆ fo1

float fo1
| protected

## ◆ fi2

float fi2
| protected

## ◆ fb2

float fb2
| protected

## ◆ fo2

float fo2
| protected

## ◆ fb3

float fb3
| protected

## ◆ slev

float slev
| protected

## ◆ valve

int valve
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.